/*!
 * iparapheur Web
 * Copyright (C) 2019-2025 Libriciel SCOP
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

@import "common_colors";

.ip-tabs {

  .nav-item {

    .nav-link {
      position: relative;

      .ip-tab-error-icon {
        position: absolute;
        right: -0.1rem;
        top: 0.4rem;
        z-index: 1;
        color: map_get($colors, "ls-danger-500");
      }
    }

    &:first-child {
    }

    a {
      color: map_get($colors, "ls-grey-900");
      border-top-width: 0;
      border-right-width: 0;
      border-left-width: 0;
      border-bottom: 1px solid map_get($colors, "ls-grey-200");

      &.disabled {
        color: #d7d7d7;
      }

      &.active {
        font-weight: bold;
        border-bottom-color: map_get($colors, "ls-grey-900");
      }
    }
  }

  .tab-content {
    margin-top: 2rem;
    // Separation for multiple columns modals
    & .row > .ls-form {


      &:last-child {

      }
    }
  }
}
